mscorlib 4.0.0.0 System.Object

The purpose of this class is to provide a way for reflection code to be made aware when reflection objects originate in a context other than the default reflection context, so that operations on those objects can use that context. For example, reflection objects that originate with a object should be compared only with reflection objects that have the same origin. For more information, see the reference page.

Represents a context that can provide reflection objects.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Reflection.TypeInfo `` To be added.

  Gets the representation of the type of the specified object in this reflection context.

  An object that represents the type of the specified object.

  The object to represent.
- Method
  4.0.0.0
  System.Reflection.Assembly `` To be added.

  Gets the representation, in this reflection context, of an assembly that is represented by an object from another reflection context.

  The representation of the assembly in this reflection context.

  The external representation of the assembly to represent in this context.
- Method
  4.0.0.0
  System.Reflection.TypeInfo `` To be added.

  Gets the representation, in this reflection context, of a type represented by an object from another reflection context.

  The representation of the type in this reflection context..

  The external representation of the type to represent in this context.